KheperaSerial Class Reference

## Public Member Functions

| KheperaSerial (char *port, int rate=KHEPERA_DEFAULT_BAUD)
bool | Open ()
int | KheperaCommand (char command, int InCount, int *InValues, int OutCount, int *OutValues)
void | Lock ()
void | Unlock ()

## Protected Member Functions

int | WriteInts (char command, int Count=0, int *Values=NULL)
int | ReadInts (char Header, int Count=0, int *Values=NULL)

## Protected Attributes

int | fd
struct termios | oldtio
char | buffer [KHEPERA_BUFFER_LEN+1]
pthread_mutex_t | lock

The documentation for this class was generated from the following files:

- khepera_serial.h
- khepera_serial.cc

Last updated 12 September 2005 21:38:45